#
# spec file for package hp2xx
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hp2xx
Version:        3.4.2
Release:        600.2
Summary:        Converts HP-GL Plotter Language into a Variety of Formats
License:        GPL-2.0+
Group:          Productivity/Graphics/Convertors
Url:            https://www.gnu.org/software/hp2xx/hp2xx.html
Source:         https://ftp.gnu.org/gnu/hp2xx/hp2xx-%{version}.tar.gz
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch0:         hp2xx-%{version}-fix.patch
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch1:         hp2xx-3.4.2-implicit-decls.patch
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch2:         hp2xx-3.4.2-png-deprecated.patch
# PATCH-FIX-UPSTREAM hp2xx-texinfo-5.0.patch dimstar@opensuse.org -- Escape '@' in .texi file
Patch3:         hp2xx-texinfo-5.0.patch
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  xorg-x11-libX11-devel
Requires(post):  %{install_info_prereq}
Requires(preun):  %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1220
BuildRequires:  makeinfo
%endif

%description
The hp2xx program is a versatile tool for converting vector graphics
data given in Hewlett-Packard's HP-GL plotter language into a variety
of popular graphics formats, both vector and raster.

%prep
%setup -q
%patch0 -p1 -b .fix
%patch1
%patch2
%patch3 -p1

%build
make %{?_smp_mflags} CC="gcc" OPTFLAGS="%{optflags}" LFLAGS="-L/usr/X11R6/%{_lib}"

%install
mkdir -p %{buildroot}/{usr/bin,%{_infodir},%{_mandir}/man1}
make bindir=%{buildroot}%{_bindir} \
     infodir=%{buildroot}/%{_infodir} \
     mandir=%{buildroot}/%{_mandir} install STRIP=true

%files
%defattr(-,root,root)
%{_bindir}/hp2xx
%{_mandir}/man1/hp2xx.*
%{_infodir}/hp2xx.*
%doc AUTHORS CHANGES README TODO copying doc/readme doc/changes doc/hp_cmds.lst

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog
* Sun Aug  2 2015 mpluskal@suse.com
- Use url for source
- Upate info file scriplets and their dependencies
- Cleanup spec file with spec-cleaner
* Wed Feb 18 2015 dimstar@opensuse.org
- Add hp2xx-texinfo-5.0.patch: Escape '@' inside .texi files. Fixes
  info generation using texinfo 5.0.
* Tue Sep 11 2012 coolo@suse.com
- add makeinfo as explicit buildrequire
* Thu Sep  6 2012 pgajdos@suse.com
- builds also against libpng15
  * extended png-deprecated.patch
* Tue Jan 10 2012 crrodriguez@opensuse.org
- Fix build, missing libjpeg-devel buildrequires
- Do not use xorg-x11-devel but only xorg-x11-libX11-devel
* Wed Oct  5 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Thu Feb 25 2010 crrodriguez@opensuse.org
- fix deprecated messages with new libpng
* Tue Nov 24 2009 crrodriguez@opensuse.org
- fix implicit declarations
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 schwab@suse.de
- Don't strip binaries.
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Feb 11 2003 nadvornik@suse.cz
- added install_info macros
* Mon Jul 29 2002 meissner@suse.de
- fixed to work on non i386.
* Fri Jul 26 2002 nadvornik@suse.cz
- updated to 3.4.2
* Wed Apr 24 2002 nadvornik@suse.cz
- used %%{_lib} macro
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Mar  8 2001 nadvornik@suse.cz
- update to 3.4.0
* Thu Oct 26 2000 nadvornik@suse.cz
- new package
